<?xml version="1.0"?>
<launch>
<arg name="robot_ns" default="panda"/>
<arg name="publish_joint_states" default="true"/>
<arg name="publish_robot_description" default="true"/>
<arg name="rviz" default="True"/>

<group ns="$(arg robot_ns)">
	<param name="tf_prefix" value="$(arg robot_ns)" />

    <!-- 
        publish robot description parameter
        it is optional as it can already be published (ex. by the rosmaster)
    -->
    <param if="$(arg publish_robot_description)" name="robot_description" command="
        $(find xacro)/xacro '$(find franka_description)/robots/panda/panda.urdf.xacro'"/>
    <!-- create the transform from panda_link0 to world -->
    <node  pkg="tf" type="static_transform_publisher" name="world_ns_connector" args="0 0 0 0 0 0 /world $(arg robot_ns)/world 100"/>
    <node  pkg="tf" type="static_transform_publisher" name="world_ns_connector_world" args="0 0 0 0 0 0 $(arg robot_ns)/world $(arg robot_ns)/panda_link0 100"/>

    <!--
        publish joint states
        it is optional as joint states can already be published (ex. by franka_control)
    -->
	<node if="$(arg publish_joint_states)" name="robot_state_publisher" pkg="robot_state_publisher" type="robot_state_publisher" output="screen"/>
    <node if="$(arg publish_joint_states)" name="joint_state_publisher_gui" pkg="joint_state_publisher_gui" type="joint_state_publisher_gui"/>

    <!--
        calculate the capacity pokytopes
    -->
    <node pkg="panda_capacity" name="panda_capacity_polytopes" type="panda_capacity_polytopes.py" output="screen"/>
</group>

<!-- open rviz (optional)-->
<node if="$(arg rviz)" pkg="rviz" type="rviz" output="screen" name="rviz" args="-d $(find panda_capacity)/launch/config.rviz"/>

<!-- unity connector -->
<arg name="tcp_ip" default="0.0.0.0"/>
<arg name="tcp_port" default="10000"/>
<node name="unity_endpoint" pkg="ros_tcp_endpoint" type="default_server_endpoint.py" output="screen">
    <param name="tcp_ip" type="string" value="$(arg tcp_ip)"/>
    <param name="tcp_port" type="int" value="$(arg tcp_port)"/>
</node>


</launch>
